# FoundationClasses
TKMath
math

# math_EigenValuesSearcher Class Reference

This class finds eigen values and vectors of
real symmetric tridiagonal matrix
.

`#include <math_EigenValuesSearcher.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | math_EigenValuesSearcher (const TColStd_Array1OfReal &Diagonal, const TColStd_Array1OfReal &Subdiagonal)
Standard_EXPORT Standard_Boolean | IsDone () const
| Returns Standard_True if computation is performed successfully. .
Standard_EXPORT Standard_Integer | Dimension () const
| Returns the dimension of matrix .
Standard_EXPORT Standard_Real | EigenValue (const Standard_Integer Index) const
| Returns the Index_th eigen value of matrix Index must be in [1, Dimension()] .
Standard_EXPORT math_Vector | EigenVector (const Standard_Integer Index) const
| Returns the Index_th eigen vector of matrix Index must be in [1, Dimension()] .

## Private Attributes

Handle_TColStd_HArray1OfReal | myDiagonal
Handle_TColStd_HArray1OfReal | mySubdiagonal
Standard_Boolean | myIsDone
Standard_Integer | myN
Handle_TColStd_HArray1OfReal | myEigenValues
Handle_TColStd_HArray2OfReal | myEigenVectors

## Constructor & Destructor Documentation

Standard_EXPORT math_EigenValuesSearcher::math_EigenValuesSearcher | ( | const TColStd_Array1OfReal & | Diagonal,
|  | const TColStd_Array1OfReal & | Subdiagonal
| ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer math_EigenValuesSearcher::Dimension | ( |  | ) | const

Standard_EXPORT Standard_Real math_EigenValuesSearcher::EigenValue | ( | const Standard_Integer | Index | ) | const

Standard_EXPORT math_Vector math_EigenValuesSearcher::EigenVector | ( | const Standard_Integer | Index | ) | const

Standard_EXPORT Standard_Boolean math_EigenValuesSearcher::IsDone | ( |  | ) | const

void math_EigenValuesSearcher::operator delete | ( | void * | anAddress | ) | `[inline]`

void* math_EigenValuesSearcher::operator new | ( | size_t | size | ) | `[inline]`

void* math_EigenValuesSearcher::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

## Field Documentation

Handle_TColStd_HArray1OfReal math_EigenValuesSearcher::myDiagonal `[private]`

Handle_TColStd_HArray1OfReal math_EigenValuesSearcher::myEigenValues `[private]`

Handle_TColStd_HArray2OfReal math_EigenValuesSearcher::myEigenVectors `[private]`

Standard_Boolean math_EigenValuesSearcher::myIsDone `[private]`

Standard_Integer math_EigenValuesSearcher::myN `[private]`

Handle_TColStd_HArray1OfReal math_EigenValuesSearcher::mySubdiagonal `[private]`

The documentation for this class was generated from the following file:

- math_EigenValuesSearcher.hxx